<template>
  <div class="block-pastille-message">
    <mark v-if="numero" class="block-pastille red">{{ numero }}</mark>
    <mark v-if="icon" class="block-pastille info"><b-icon :icon="icon" size="is-medium"></b-icon></mark>
    <mark v-if="espaceVide" class="block-pastille"> </mark>
    <div class="block-message">
      <slot></slot>
    </div>
  </div>
</template>

<script>
export default {
  name: 'MtAideBlockTexte',
  props: {
    espaceVide: Boolean,
    numero: {
      type: String,
      default: '',
    },
    icon: {
      type: String,
      default: '',
    },
  },
};
</script>

<style scoped lang="scss">
.block-pastille-message {
  display: flex;
  flex-direction: row;
  margin-bottom: 0.75rem;
  padding-top: 0.75rem;
}
.block-pastille {
  background-color: transparent;
  color: white;
  font-size: 1.1rem;
  font-weight: 500;
  border-radius: 1.75em;
  height: 1.75em;
  min-width: 1.75em;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 1.5em;
  line-height: 1;
  flex-shrink: 0;

  &.red {
    background-color: #db2c66;
  }

  &.info {
    background-color: white;
    color: #5f5f5f;
    font-size: 1.2rem;
    height: 1em;
    width: 1em;
  }
}

.block-message {
  max-width: 38ch;

  p {
    font-size: 0.875rem;
    margin-bottom: 0.5em;
  }

  p + ol,
  p + ul {
    margin-top: -0.25em;
  }

  ol,
  ul {
    font-size: 0.875rem;
    margin-bottom: 1em;

    li {
      padding-left: 0.5em;
      margin-bottom: 0.1em;
    }
  }
  ol {
    counter-reset: orderedlist;
    list-style-type: none;
    padding-left: 0;

    li::before {
      counter-increment: orderedlist;
      content: counter(orderedlist) ' -';
      padding-left: 0;
      padding-right: 0.4em;
    }
  }
  ul {
    list-style-type: '-';
    padding-left: 0.5em;
  }

  h3 {
    font-size: 2rem;
    font-weight: 300;
    color: #60666a;
    margin: 0;
    line-height: 1;
  }
}
</style>
